<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qt-core-module.qdoc -->
  <title>Qt.core QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
<li class="level2"><a href="#relevant-file-tags">Relevant File Tags</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Qt.core QML Type</h1>
<span class="subtitle"></span>
<!-- $$$Qt.core-brief -->
<p>Provides Qt Core support. <a href="#details">More...</a></p>
<!-- @@@Qt.core -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-qt-core-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#availableBuildVariants-prop">availableBuildVariants</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#binPath-prop">binPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#combineMocOutput-prop">combineMocOutput</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#config-prop">config</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#docPath-prop">docPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#enableBigResources-prop">enableBigResources</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#enableKeywords-prop">enableKeywords</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#frameworkBuild-prop">frameworkBuild</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#incPath-prop">incPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#libInfix-prop">libInfix</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#libPath-prop">libPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#lreleaseMultiplexMode-prop">lreleaseMultiplexMode</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#lreleaseName-prop">lreleaseName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#mkspecPath-prop">mkspecPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#mocFlags-prop">mocFlags</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#mocName-prop">mocName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#namespace-prop">namespace</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#pluginMetaData-prop">pluginMetaData</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#pluginPath-prop">pluginPath</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#qdocEnvironment-prop">qdocEnvironment</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#qdocName-prop">qdocName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#qmBaseName-prop">qmBaseName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#qtBuildVariant-prop">qtBuildVariant</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#qtConfig-prop">qtConfig</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#resourceFileBaseName-prop">resourceFileBaseName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#resourcePrefix-prop">resourcePrefix</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#resourceSourceBase-prop">resourceSourceBase</a></b></b> : path</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#staticBuild-prop">staticBuild</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#version-prop">version</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#versionMajor-prop">versionMajor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#versionMinor-prop">versionMinor</a></b></b> : int</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#versionParts-prop">versionParts</a></b></b> : list</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-core.html#versionPatch-prop">versionPatch</a></b></b> : int</li>
</ul>
<!-- $$$Qt.core-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>All other Qt modules have a dependency on the Qt.core module, and therefore you do not need to list it in your dependencies if you depend on at least one other <a href="qt-modules.html">Qt module</a>.</p>
<p>Some of the Qt.core properties only need to be defined if the respective installation of Qt was built in some unusual way, for instance by setting non-default <code>configure</code> flags.</p>
<a name="relevant-file-tags"></a>
<h3 id="relevant-file-tags">Relevant File Tags</h3>
<a name="filetags-qtcore"></a><div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Tag</th><th >Auto-tagged File Names</th><th >Since</th><th >Description</th></tr></thead>
<tr valign="top" class="odd"><td ><code>&quot;qch&quot;</code></td><td >n/a</td><td >1.1</td><td >This tag is attached to the output artifacts of the rule that runs the <code>qhelpgenerator</code> tool.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;qdoc&quot;</code></td><td ><code>*.qdoc</code></td><td >1.1</td><td >Source files with this tag trigger a re-execution of the rule running the <code>qdoc</code> tool when their timestamp changes.</td></tr>
<tr valign="top" class="odd"><td ><code>&quot;qdocconf&quot;</code></td><td ><code>*.qdocconf</code></td><td >1.1</td><td >Source files with this tag trigger a re-execution of the rule running the <code>qdoc</code> tool when their timestamp changes.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;qdocconf-main&quot;</code></td><td >-</td><td >1.1</td><td >Source files with this tag serve as inputs to the rule running the <code>qdoc</code> tool.</td></tr>
<tr valign="top" class="odd"><td ><code>&quot;qdoc-output&quot;</code></td><td >n/a</td><td >1.5</td><td >Use this tag to match all <code>qdoc</code> outputs, for instance in a <a href="qml-qbslanguageitems-group.html">Group</a> using the <a href="qml-qbslanguageitems-group.html#fileTagsFilter-prop">group.fileTagsFilter</a> property.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;qhp&quot;</code></td><td ><code>*.qhp</code></td><td >1.1</td><td >Files with this tag serve as inputs to the rule running the <code>qhelpgenerator</code> tool. Such files are created by <code>qdoc</code>, but can also appear as source files.</td></tr>
<tr valign="top" class="odd"><td ><code>&quot;qm&quot;</code></td><td >n/a</td><td >1.1</td><td >This tag is attached to the output artifacts of the rule that runs the <code>lrelease</code> tool.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;qrc&quot;</code></td><td ><code>*.qrc</code></td><td >1.0</td><td >Files with this tag serve as inputs to the rule running the <code>rcc</code> tool.</td></tr>
<tr valign="top" class="odd"><td ><code>&quot;qt_plugin_metadata&quot;</code></td><td >-</td><td >1.0</td><td >Source files with this tag trigger a re-execution of the rule running the <code>moc</code> tool when their timestamp changes.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;qt.core.resource_data&quot;</code></td><td >-</td><td >1.7</td><td >Source files with this tag serve as inputs to the rule creating <code>qrc</code> files.</td></tr>
<tr valign="top" class="odd"><td ><code>&quot;ts&quot;</code></td><td ><code>*.ts</code></td><td >1.0</td><td >Files with this tag serve as inputs to the rule running the <code>lrelease</code> tool.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;mocable&quot;</code></td><td >-</td><td >1.13</td><td >Use this tag to force Qbs to run <code>moc</code> on the respective files, even though they do not contain <code>Q_OBJECT</code> or a related macro.</td></tr>
<tr valign="top" class="odd"><td ><code>&quot;unmocable&quot;</code></td><td >-</td><td >1.2</td><td >Use this tag for files that Qbs should not run <code>moc</code> on, even though they contain <code>Q_OBJECT</code> or a related macro.</td></tr>
</table></div>
<!-- @@@Qt.core -->
<h2>Property Documentation</h2>
<!-- $$$availableBuildVariants -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="availableBuildVariants-prop">
<td class="tblQmlPropNode"><p>
<span class="name">availableBuildVariants</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The build variants that this Qt installation offers.</p>
<p>Default: Set by <a href="cli-setup-qt.html">setup-qt</a>.</p>
</div></div><!-- @@@availableBuildVariants -->
<br/>
<!-- $$$binPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="binPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">binPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path in which Qt tools such as <code>qmake</code>, <code>moc</code>, and so on are located.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@binPath -->
<br/>
<!-- $$$combineMocOutput -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="combineMocOutput-prop">
<td class="tblQmlPropNode"><p>
<span class="name">combineMocOutput</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether the C++ sources created by <code>moc</code> are combined into a single C++ file per product. For projects where many header files are to be handled by <code>moc</code>, this can speed up compilation considerably. However, side effects may occur as a result of merging translation units.</p>
<p>Default: <a href="qml-qbsmodules-cpp.html#combineCxxSources-prop">cpp.combineCxxSources</a></p>
</div></div><!-- @@@combineMocOutput -->
<br/>
<!-- $$$config -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="config-prop">
<td class="tblQmlPropNode"><p>
<span class="name">config</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Corresponds to the default value of qmake's <code>CONFIG</code> variable.</p>
<p>Default: <code>[]</code></p>
</div></div><!-- @@@config -->
<br/>
<!-- $$$docPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="docPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">docPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path in which the Qt documentation is located.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@docPath -->
<br/>
<!-- $$$enableBigResources -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="enableBigResources-prop">
<td class="tblQmlPropNode"><p>
<span class="name">enableBigResources</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether the Qt resource compiler is run in a two-pass fashion that supports the creation of big resources.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@enableBigResources -->
<br/>
<!-- $$$enableKeywords -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="enableKeywords-prop">
<td class="tblQmlPropNode"><p>
<span class="name">enableKeywords</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Set this property to <code>false</code> if you do not want Qt to define the symbols <code>signals</code>, <code>slots</code>, and <code>emit</code>. This can be necessary if your project interacts with code that also defines such symbols.</p>
<p>Default: <code>true</code></p>
</div></div><!-- @@@enableKeywords -->
<br/>
<!-- $$$frameworkBuild -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="frameworkBuild-prop">
<td class="tblQmlPropNode"><p>
<span class="name">frameworkBuild</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether Qt was built as a framework. This is only relevant for Darwin systems.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@frameworkBuild -->
<br/>
<!-- $$$incPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="incPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">incPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The base path of the Qt headers.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@incPath -->
<br/>
<!-- $$$libInfix -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="libInfix-prop">
<td class="tblQmlPropNode"><p>
<span class="name">libInfix</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The library infix can be set at Qt build time to change the name of Qt's libraries.</p>
<p>For example, if the infix is <code>&quot;Test&quot;</code>, on Unix systems, the Qt Core library will be in a file called <code>libQt5CoreTest.so</code> instead of the default <code>libQt5Core.so</code>.</p>
<p>Default: <code>[]</code></p>
</div></div><!-- @@@libInfix -->
<br/>
<!-- $$$libPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="libPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">libPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path in which the Qt libraries are located.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@libPath -->
<br/>
<!-- $$$lreleaseMultiplexMode -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="lreleaseMultiplexMode-prop">
<td class="tblQmlPropNode"><p>
<span class="name">lreleaseMultiplexMode</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>If this property is <code>true</code>, <code>lrelease</code> will merge all <code>.ts</code> files into one <code>.qm</code> file. Otherwise, one <code>.qm</code> file will be created for each <code>.ts</code> file.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@lreleaseMultiplexMode -->
<br/>
<!-- $$$lreleaseName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="lreleaseName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">lreleaseName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The base name of the <code>lrelease</code> tool. Set this if your system uses a name such as <code>&quot;lrelease-qt4&quot;</code>.</p>
<p>Default: <code>&quot;lrelease&quot;</code></p>
</div></div><!-- @@@lreleaseName -->
<br/>
<!-- $$$mkspecPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="mkspecPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">mkspecPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path in which the Qt <code>mkspecs</code> are located.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@mkspecPath -->
<br/>
<!-- $$$mocFlags -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="mocFlags-prop">
<td class="tblQmlPropNode"><p>
<span class="name">mocFlags</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of additional flags to <code>moc</code>.</p>
<p>You will rarely need to set this property.</p>
<p>Default: <code>[]</code></p>
</div></div><!-- @@@mocFlags -->
<br/>
<!-- $$$mocName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="mocName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">mocName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The base name of the <code>moc</code> tool.</p>
<p>Set this if your system uses a name such as <code>&quot;moc-qt4&quot;</code>.</p>
<p>Default: <code>&quot;moc&quot;</code></p>
</div></div><!-- @@@mocName -->
<br/>
<!-- $$$namespace -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="namespace-prop">
<td class="tblQmlPropNode"><p>
<span class="name">namespace</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Qt namespace that can be set at build time via the <code>configure</code> script.</p>
<p>By default, Qt is not built in a namespace.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@namespace -->
<br/>
<!-- $$$pluginMetaData -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="pluginMetaData-prop">
<td class="tblQmlPropNode"><p>
<span class="name">pluginMetaData</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of additional plugin metadata.</p>
<p>The elements of the list are key-value pairs separated by the <code>=</code> character.</p>
<p>A possible use case is to set the plugin URI when building a static QML plugin:</p>
<pre class="cpp plain">

  Qt.core.pluginMetaData: [&quot;uri=thePlugin&quot;]

</pre>
<p>Default: <code>[]</code></p>
</div></div><!-- @@@pluginMetaData -->
<br/>
<!-- $$$pluginPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="pluginPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">pluginPath</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path in which the Qt plugins are located.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@pluginPath -->
<br/>
<!-- $$$qdocEnvironment -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qdocEnvironment-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qdocEnvironment</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The environment for calls to <code>qdoc</code>. Typically, you will need to set some variables here when running <code>qdoc</code> to build your project documentation.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@qdocEnvironment -->
<br/>
<!-- $$$qdocName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qdocName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qdocName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The base name of the <code>qdoc</code> tool.</p>
<p>Default: <code>&quot;qdoc3&quot;</code> for Qt 4, <code>&quot;qdoc&quot;</code> otherwise.</p>
</div></div><!-- @@@qdocName -->
<br/>
<!-- $$$qmBaseName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qmBaseName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qmBaseName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The base name of the <code>.qm</code> file to be built from the <code>.ts</code> files in the product.</p>
<p>This property is ignored if <a href="qml-qbsmodules-qt-core.html#lreleaseMultiplexMode-prop">lreleaseMultiplexMode</a> is <code>false</code>.</p>
<p>Default: <a href="qml-qbslanguageitems-product.html#targetName-prop">product.targetName</a></p>
</div></div><!-- @@@qmBaseName -->
<br/>
<!-- $$$qtBuildVariant -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qtBuildVariant-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qtBuildVariant</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Specifies the type of Qt libraries to build against: <code>&quot;debug&quot;</code> or <code>&quot;release&quot;</code>.</p>
<p><b>Note: </b>On some systems, it is not possible to link code built in debug mode against libraries built in release mode and vice versa.</p><p>Default: The build variant of the code linking against Qt. If Qt does not offer that build variant, the build variant offered by Qt is chosen instead.</p>
</div></div><!-- @@@qtBuildVariant -->
<br/>
<!-- $$$qtConfig -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qtConfig-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qtConfig</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Corresponds to the default value of qmake's <code>QT_CONFIG</code> variable.</p>
<p>Default: <code>[]</code></p>
</div></div><!-- @@@qtConfig -->
<br/>
<!-- $$$resourceFileBaseName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="resourceFileBaseName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">resourceFileBaseName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>For files tagged as <a href="qml-qbsmodules-qt-core.html#filetags-qtcore">qt.core.resource_data</a>, this property determines the base name of the generated <code>.qrc</code> file.</p>
<p>If this property needs to be changed, it must be set in the corresponding <a href="qml-qbslanguageitems-product.html">product</a> rather than in a <a href="qml-qbslanguageitems-group.html">Group</a>.</p>
<p>Default: <a href="qml-qbslanguageitems-product.html#targetName-prop">product.targetName</a></p>
</div></div><!-- @@@resourceFileBaseName -->
<br/>
<!-- $$$resourcePrefix -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="resourcePrefix-prop">
<td class="tblQmlPropNode"><p>
<span class="name">resourcePrefix</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>For files tagged as <a href="qml-qbsmodules-qt-core.html#filetags-qtcore">qt.core.resource_data</a>, this property determines the prefix under which they will be available in the generated <code>.qrc</code> file.</p>
<p>Default: <code>&quot;/&quot;</code></p>
</div></div><!-- @@@resourcePrefix -->
<br/>
<!-- $$$resourceSourceBase -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="resourceSourceBase-prop">
<td class="tblQmlPropNode"><p>
<span class="name">resourceSourceBase</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>For files tagged as <a href="qml-qbsmodules-qt-core.html#filetags-qtcore">qt.core.resource_data</a>, this property determines which part of their path will end up in the generated <code>.qrc</code> file. If this property is set to <code>undefined</code>, only the file name is used.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@resourceSourceBase -->
<br/>
<!-- $$$staticBuild -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="staticBuild-prop">
<td class="tblQmlPropNode"><p>
<span class="name">staticBuild</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether Qt was built statically.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@staticBuild -->
<br/>
<!-- $$$version -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="version-prop">
<td class="tblQmlPropNode"><p>
<span class="name">version</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Qt version.</p>
<p>Consists of three numbers separated by dots. For example &quot;5.9&#x2e;1&quot;.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@version -->
<br/>
<!-- $$$versionMajor -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionMajor-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionMajor</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Qt major version.</p>
<p>Default: <code>versionParts[0]</code></p>
</div></div><!-- @@@versionMajor -->
<br/>
<!-- $$$versionMinor -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionMinor-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionMinor</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Qt minor version.</p>
<p>Default: <code>versionParts[1]</code></p>
</div></div><!-- @@@versionMinor -->
<br/>
<!-- $$$versionParts -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionParts-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionParts</span> : <span class="type">list</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Qt version as a list.</p>
<p>For example, Qt version 5.9&#x2e;1 would correspond to a value of <code>[5, 9, 1]</code>.</p>
<p>Default: <code>[]</code></p>
</div></div><!-- @@@versionParts -->
<br/>
<!-- $$$versionPatch -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionPatch-prop">
<td class="tblQmlPropNode"><p>
<span class="name">versionPatch</span> : <span class="type">int</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The Qt patch level.</p>
<p>Default: <code>versionParts[2]</code></p>
</div></div><!-- @@@versionPatch -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
